#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-1zMdkGaZNzwC5x4PGbN1Jr-dns-internal
key:                  dns-4.0.1-1zMdkGaZNzwC5x4PGbN1Jr-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  4b6e70c5de34627abdb31cae02b34961
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-1zMdkGaZNzwC5x4PGbN1Jr-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-1Z6i3HGJEDF4xJ1wAyEcWY
    attoparsec-0.14.4-K1lCIBQnnnX9MJKSOkWvqU
    auto-update-0.1.6-EmOE9nX6wSbALbViJvtvpb base-4.15.1.0
    base16-bytestring-1.0.2.0-7LHCduJh1diT8mDRaEw4y
    base64-bytestring-1.2.1.0-1fkEAiWil2K1dOnXMNj6lY
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-IrT8OPD0z2w3RG6uTlG84F
    hourglass-0.2.12-82ld0MQtLIy4Qymnbs9vSe
    iproute-1.7.12-2dghMxBbG1LGXezPapT6pX mtl-2.2.2
    network-3.1.2.7-1YN9TNDHpA98X2vaYXBgq6
    psqueues-0.2.7.3-DKOFoiZgHHyDyVIOYV6cPC

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-65lsNkgZAS75PDQ9Mu0jzl
key:                  dns-4.0.1-65lsNkgZAS75PDQ9Mu0jzl
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  791ff4ad180675a69ce2f41be2159d3d
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-65lsNkgZAS75PDQ9Mu0jzl
depends:
    array-0.5.4.0 async-2.2.4-1Z6i3HGJEDF4xJ1wAyEcWY
    attoparsec-0.14.4-K1lCIBQnnnX9MJKSOkWvqU
    auto-update-0.1.6-EmOE9nX6wSbALbViJvtvpb base-4.15.1.0
    base16-bytestring-1.0.2.0-7LHCduJh1diT8mDRaEw4y
    base64-bytestring-1.2.1.0-1fkEAiWil2K1dOnXMNj6lY
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-IrT8OPD0z2w3RG6uTlG84F
    dns-4.0.1-1zMdkGaZNzwC5x4PGbN1Jr-dns-internal
    hourglass-0.2.12-82ld0MQtLIy4Qymnbs9vSe
    iproute-1.7.12-2dghMxBbG1LGXezPapT6pX mtl-2.2.2
    network-3.1.2.7-1YN9TNDHpA98X2vaYXBgq6
    psqueues-0.2.7.3-DKOFoiZgHHyDyVIOYV6cPC

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

